View Issue Details

IDProjectCategoryView StatusLast Update
0025615LazarusIDEpublic2020-05-14 20:14
ReporterMaciej Izak Assigned ToMattias Gaertner  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.3 (SVN) 
Summary0025615: "Complete Code" don't work correctly for method that return generic type (delphi mode)
DescriptionComplete Code (Ctrl + Shift + C) don't work correctly for this class:

---before Complete Code---
{$MODE DELPHI}

type
  TA = array of T;
  TB<T> = class
  public
    function Foo: TA<T>;
  end;

---after Complete Code---
{$MODE DELPHI}

type
  TA = array of T;

  { TB }

  TB<T> = class
  public
    function Foo: TA;<T>; // !!!
  end;

{ TB<T> }

function TB<T>.Foo: TA; // !!!
begin

end;
TagsNo tags attached.
Fixed in Revision
LazTarget-
Widgetset
Attached Files

Relationships

related to 0027206 resolvedSven Barth FPC [Patch] Christmas gift by FreeSparta : Generics.Collections 
related to 0023903 closedMattias Gaertner Lazarus Complete code error 

Activities

Maciej Izak

2014-01-25 20:12

developer  

r18.lpr (251 bytes)

Maciej Izak

2015-03-18 11:43

developer   ~0082059

Bug related to 0027206

delfion

2020-05-14 17:16

reporter   ~0122796

Correct initial state

{$MODE DELPHI}

type
  TA<T> = array of T;

  { TB }

  TB<T> = class
  public
    function Foo: TA<T>;
  end;

begin
end.

The bug is fixed anyway

Mattias Gaertner

2020-05-14 20:14

manager   ~0122801

Please close if ok

Issue History

Date Modified Username Field Change
2014-01-25 20:12 Maciej Izak New Issue
2014-01-25 20:12 Maciej Izak File Added: r18.lpr
2015-03-18 11:43 Maciej Izak Note Added: 0082059
2015-03-18 12:35 Juha Manninen Relationship added related to 0027206
2015-12-10 15:13 Mattias Gaertner Assigned To => Mattias Gaertner
2015-12-10 15:13 Mattias Gaertner Status new => assigned
2015-12-10 15:13 Mattias Gaertner Relationship added related to 0023903
2017-11-28 16:11 Mattias Gaertner LazTarget => -
2017-11-28 16:11 Mattias Gaertner Status assigned => confirmed
2020-05-14 17:16 delfion Note Added: 0122796
2020-05-14 20:14 Mattias Gaertner Status confirmed => resolved
2020-05-14 20:14 Mattias Gaertner Resolution open => fixed
2020-05-14 20:14 Mattias Gaertner Note Added: 0122801